#: include smple.kv
#: include farsisaz.kv
#: include search_res.kv


<mainscreen>:
    orientation: "horizontal"
    canvas.before:
        Color:
            rgb: .5,.5,.5
        Rectangle:
            size: self.size
            pos: self.pos

    RelativeLayout:
        size_hint: .8,1
        BoxLayout:
            size_hint: None,None
            width: root.width * 0.7
            height: root.width * 0.7 / 1.41
            pos_hint:{"center_y":0.5,"center_x":0.5}
            canvas.before:
                Color:
                    rgb: 1,1,1
                Rectangle:
                    size:self.size
                    pos: self.pos
            Sampler:
                id:page


    StackLayout:
        orientation: "tb-lr"
        size_hint: .2,1
        padding: (10,10,10,10)
        spacing: 10
        canvas.before:
            Color:
                rgb: .3,.3,.3
            Rectangle:
                size: self.size
                pos:self.pos
        Button:
            text: "Clear All"
            size_hint_y: 0.2
            on_release: root.do_clearall()
        Button:
            text: "Save"
            size_hint_y: 0.2
            on_release: root.do_save()
        Button:
            text: "Print"
            size_hint_y: 0.2
            on_release: root.do_print()

        Button:
            text: "next"
            size_hint_y: 0.2
            on_release: root.do_next()

        Button:
            text: "search"
            size_hint_y: 0.2
            on_state: root.do_search()